#
# spec file for package ghc-wai
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name wai
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        3.2.1.1
Release:        8.72
Summary:        Web Application Interface
License:        MIT
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-vault-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-hspec-devel
%endif

%description
API docs and the README are available at <http://www.stackage.org/package/wai>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc ChangeLog.md README.md

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 3.2.1.1 revision 0 with cabal2obs.
  This update obsoletes remove-dep.patch.
* Thu May 26 2016 mimi.vx@gmail.com
- update to 3.2.1.1
- refreshed remove-dep.patch
  * Relax upper bound on bytestring-builder
* Sat Apr 16 2016 mimi.vx@gmail.com
- update to 3.2.1
  * add mapResponseStatus
* Thu Mar 31 2016 mimi.vx@gmail.com
- update to 3.2.0.1
* Wed Jan 20 2016 mimi.vx@gmail.com
- update to 3.2.0
  * Major version up due to breaking changes. We chose 3.2.0, not 3.1.0 for
    consistency with Warp 3.2.0.
  * The Network.Wai.HTTP2 module was removed.
  * tryGetFileSize, hContentRange, hAcceptRanges, contentRangeHeader and
    chooseFilePart, adjustForFilePart and parseByteRanges were removed from
    the Network.Wai.Internal module.
  * New fields for Request: requestHeaderReferer and requestHeaderUserAgent.
* Sun Dec 13 2015 mimi.vx@gmail.com
- update to 3.0.5.0
  * Avoid using the IsString Builder instance
  * A new module Network.Wai.HTTP2 is exported.
  * mapResponseHeaders, ifRequest and modifyResponse are exported.
- add remove-dep.patch mimi.vx@gmail.com -- remove bytestring-builder dep
* Mon Jul  6 2015 mimi.vx@gmail.com
- update to 3.0.3.0
* Thu Apr 23 2015 mimi.vx@gmail.com
-  initial commit
